MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023890Community[OCCT] OCCT:Visualizationpublic2013-04-10 22:012013-12-19 13:58
Reporterheyuqi 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023890: Incorrect vertex marker display after closing all views
DescriptionThe default marker type of vertex selection is Aspect_TOM_O_POINT. Everything works well before we close all views. It seems something do not clean up yet.
Steps To ReproduceIn Viewer 3D MFC Sample:
  1. Start the Viewer3D application.
  2. Click "Box" button to generate a new box.
  3. Click vertex selection button.
  4. Move you mouse on a vertex, you will see the Aspect_TOM_O_POINT marker.
  5. Click menu "File/Close" to close all views.
  6. Click "New" button to create a new view.
  7. Click "Box" button to generate a new box again.
  8. Click vertex selection button again.
  9. Move you mouse on a vertex, the display of market had been changed.
TagsNo tags attached.
Test case number
Attached Filespng file icon incorrect_marker.png (1,085 bytes) 2013-04-10 22:01
png file icon o_x_marker.png (2,100 bytes) 2013-04-10 22:01
png file icon incorrect_marker_2.png (1,173 bytes) 2013-04-10 22:01

- Relationships

-  Notes
(0025471)
san (developer)
2013-09-05 17:51

Please, check if this problem is resolved after correction of #23654, and reassign to bugmaster with feedback status asking to close this one.
(0025811)
dbv (developer)
2013-10-01 13:54

Dear bugmaster,

this issue has been fixed in the patch for #0023654 and can be closed
(0025893)
bugmaster (administrator)
2013-10-04 12:53

Problem was corrected by fix for CR23654

- Issue History
Date Modified Username Field Change
2013-04-10 22:01 heyuqi New Issue
2013-04-10 22:01 heyuqi Assigned To => san
2013-04-10 22:01 heyuqi File Added: incorrect_marker.png
2013-04-10 22:01 heyuqi File Added: o_x_marker.png
2013-04-10 22:01 heyuqi File Added: incorrect_marker_2.png
2013-04-11 09:09 kgv Product Version 6.5.5 => 6.5.4
2013-04-11 09:09 kgv Target Version => 6.7.0
2013-04-11 09:09 kgv Relationship added duplicate of 0023654
2013-04-11 12:43 user533 Project Open CASCADE => Community
2013-09-05 17:51 san Note Added: 0025471
2013-09-05 17:51 san Assigned To san => dbv
2013-09-05 17:51 san Status new => assigned
2013-10-01 13:54 dbv Note Added: 0025811
2013-10-01 13:54 dbv Assigned To dbv => bugmaster
2013-10-01 13:54 dbv Status assigned => feedback
2013-10-04 12:52 bugmaster Assigned To bugmaster => dbv
2013-10-04 12:52 bugmaster Status feedback => tested
2013-10-04 12:53 bugmaster Note Added: 0025893
2013-10-04 12:53 bugmaster Status tested => verified
2013-10-04 12:53 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker